ID CVE-2009-2826
Summary Multiple integer overflows in CoreGraphics in Apple Mac OS X 10.5.8 allow remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted PDF document that triggers a heap-based buffer overflow.
References
Vulnerable Configurations
  • cpe:2.3:o:apple:mac_os_x:10.5.8:*:*:*:*:*:*:*
    cpe:2.3:o:apple:mac_os_x:10.5.8:*:*:*:*:*:*:*
  • cpe:2.3:o:apple:mac_os_x_server:10.5.8:*:*:*:*:*:*:*
    cpe:2.3:o:apple:mac_os_x_server:10.5.8:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 17-11-2009 - 07:02)
Impact:
Exploitability:
CWE CWE-189
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
refmap via4
apple APPLE-SA-2009-11-09-1
bid 36956
confirm http://support.apple.com/kb/HT3937
vupen ADV-2009-3184
Last major update 17-11-2009 - 07:02
Published 10-11-2009 - 19:30
Back to Top